<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $user1 = User::updateOrCreate(
            ['email' => 'RAS00332@cripumps.com'],
            [
                'name' => 'Jeithef Shibu C',
                'password' => bcrypt('ShIbu#123'),
                'updated_at' => now(),
                'created_at' => now(),
            ]
        );
        $user1->assignRole('Super Admin');

        $user2 = User::updateOrCreate(
            ['email' => 'dhanabalan.saravanan@cripumps.com'],
            [
                'name' => 'Dhanabalan S',
                'password' => bcrypt('SdHaNa$1997'),
                'updated_at' => now(),
                'created_at' => now(),
            ]
        );
        $user2->assignRole('Super Admin');

        $user3 = User::updateOrCreate(
            ['email' => 'ranjith.bala@cripumps.com'],
            [
                'name' => 'Ranjith B',
                'password' => bcrypt('RAS00334@12'),
                'updated_at' => now(),
                'created_at' => now(),
            ]
        );
        $user3->assignRole('Super Admin');
        // User::factory()->count(5)->create();
    }
}
